Skip to main content
GET
/
contacts
Get Contacts
curl --request GET \
  --url https://services.leadconnectorhq.com/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "contacts": [
    {
      "id": "ocQHyuzHvysMo5N5VsXc",
      "locationId": "C2QujeCh8ZnC7al2InWR",
      "email": "JohnDeo@gmail.com",
      "timezone": "Asia/Calcutta",
      "country": "DE",
      "source": "xyz form",
      "dateAdded": "2020-10-29T09:31:30.255Z",
      "customFields": [
        {
          "id": "MgobCB14YMVKuE4Ka8p1",
          "value": "name"
        }
      ],
      "tags": [
        "nisi sint commodo amet",
        "consequat"
      ],
      "businessId": "641c094001436dbc2081e642",
      "attributions": [
        {
          "url": "Trigger Link",
          "campaign": "<string>",
          "utmSource": "<string>",
          "utmMedium": "<string>",
          "utmContent": "<string>",
          "referrer": "https: //www.google.com",
          "campaignId": "<string>",
          "fbclid": "<string>",
          "gclid": "CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB",
          "msclikid": "<string>",
          "dclid": "<string>",
          "fbc": "<string>",
          "fbp": "fb. 1.1674748390986.1171287961",
          "fbEventId": "Mozilla/5.0",
          "userAgent": "Mozilla/5.0",
          "ip": "58.111.106.198",
          "medium": "survey",
          "mediumId": "FglfHAn30PRwsZVyQlKp"
        }
      ],
      "followers": "641c094001436dbc2081e642"
    }
  ],
  "count": 10
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

locationId
string
required

Location Id

Example:

"ve9EPM428h8vShlRW1KT"

startAfterId
string

Start After Id

Example:

"UIaE1WjAwWKdlyD7osQI"

startAfter
number

Start Afte

Example:

1603870249758

query
string

Contact Query

Example:

"John"

limit
number
default:20

Limit Per Page records count. will allow maximum up to 100 and default will be 20

Example:

20

Response

Successful response

contacts
object[]
count
number
Example:

10

Last modified on March 4, 2026